/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-16 16:37:05
 * @LastEditors: 无尘
 * @LastEditTime: 2020-08-17 17:31:09
 */
/**
 * 传入参数 向url后追加 返回新的url
 * @param {string} uri 原始url
 * @param {string} key 追加的key
 * @param {string} value 追加的key的value
 * @returns {string}
 */
export const updateQueryStringParameter = (uri, key, value) => {
  if (!value) {
    return uri;
  }
  let re = new RegExp('([?&])' + key + '=.*?(&|$)', 'i');
  let separator = uri.indexOf('?') !== -1 ? '&' : '?';
  if (uri.match(re)) {
    return uri.replace(re, '$1' + key + '=' + value + '$2');
  } else {
    return uri + separator + key + '=' + value;
  }
};


// 序列化反序列化法 深拷贝对象
export const deepClone = obj => {
  return JSON.parse(JSON.stringify(obj));
};
